float calc_epsilon (float x, float y, float z)
{
  ...

  x -= delta_x;
  if (x < 0) x = 0;

  y = sqrt (x);                                                                /* !!! */

  return z * y;
}